org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage

## Interface EMFPatternLanguagePackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    EMFPatternLanguagePackageImpl

      public interface EMFPatternLanguagePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `EMFPatternLanguageFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `EMFPatternLanguagePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLASS_TYPE` The meta object id for the '`Class Type`' class.
    `static int` | `CLASS_TYPE__CLASSNAME` The feature id for the 'Classname' reference.
    `static int` | `CLASS_TYPE__METAMODEL` The feature id for the 'Metamodel' reference.
    `static int` | `CLASS_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `CLASS_TYPE_FEATURE_COUNT` The number of structural features of the 'Class Type' class.
    `static int` | `ECLASSIFIER_CONSTRAINT` The meta object id for the '`EClassifier Constraint`' class.
    `static int` | `ECLASSIFIER_CONSTRAINT__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `ECLASSIFIER_CONSTRAINT__VAR` The feature id for the 'Var' containment reference.
    `static int` | `ECLASSIFIER_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'EClassifier Constraint' class.
    `static EMFPatternLanguagePackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `ENUM_VALUE` The meta object id for the '`Enum Value`' class.
    `static int` | `ENUM_VALUE__ENUMERATION` The feature id for the 'Enumeration' reference.
    `static int` | `ENUM_VALUE__LITERAL` The feature id for the 'Literal' reference.
    `static int` | `ENUM_VALUE_FEATURE_COUNT` The number of structural features of the 'Enum Value' class.
    `static int` | `PACKAGE_IMPORT` The meta object id for the '`Package Import`' class.
    `static int` | `PACKAGE_IMPORT__ALIAS` The feature id for the 'Alias' attribute.
    `static int` | `PACKAGE_IMPORT__EPACKAGE` The feature id for the 'EPackage' reference.
    `static int` | `PACKAGE_IMPORT_FEATURE_COUNT` The number of structural features of the 'Package Import' class.
    `static int` | `PATTERN_IMPORT` The meta object id for the '`Pattern Import`' class.
    `static int` | `PATTERN_IMPORT__PATTERN` The feature id for the 'Pattern' reference.
    `static int` | `PATTERN_IMPORT_FEATURE_COUNT` The number of structural features of the 'Pattern Import' class.
    `static int` | `PATTERN_MODEL` The meta object id for the '`Pattern Model`' class.
    `static int` | `PATTERN_MODEL__IMPORT_PACKAGES` The feature id for the 'Import Packages' containment reference.
    `static int` | `PATTERN_MODEL__PACKAGE_NAME` The feature id for the 'Package Name' attribute.
    `static int` | `PATTERN_MODEL__PATTERNS` The feature id for the 'Patterns' containment reference list.
    `static int` | `PATTERN_MODEL_FEATURE_COUNT` The number of structural features of the 'Pattern Model' class.
    `static int` | `REFERENCE_TYPE` The meta object id for the '`Reference Type`' class.
    `static int` | `REFERENCE_TYPE__REFNAME` The feature id for the 'Refname' reference.
    `static int` | `REFERENCE_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `REFERENCE_TYPE_FEATURE_COUNT` The number of structural features of the 'Reference Type' class.
    `static int` | `XIMPORT_SECTION` The meta object id for the '`XImport Section`' class.
    `static int` | `XIMPORT_SECTION__IMPORT_DECLARATIONS` The feature id for the 'Import Declarations' containment reference list.
    `static int` | `XIMPORT_SECTION__PACKAGE_IMPORT` The feature id for the 'Package Import' containment reference list.
    `static int` | `XIMPORT_SECTION__PATTERN_IMPORT` The feature id for the 'Pattern Import' containment reference list.
    `static int` | `XIMPORT_SECTION_FEATURE_COUNT` The number of structural features of the 'XImport Section' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getClassType_Classname()` Returns the meta object for the reference '`Classname`'.
    `org.eclipse.emf.ecore.EReference` | `getClassType_Metamodel()` Returns the meta object for the reference '`Metamodel`'.
    `org.eclipse.emf.ecore.EClass` | `getClassType()` Returns the meta object for class '`Class Type`'.
    `org.eclipse.emf.ecore.EReference` | `getEClassifierConstraint_Type()` Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EReference` | `getEClassifierConstraint_Var()` Returns the meta object for the containment reference '`Var`'.
    `org.eclipse.emf.ecore.EClass` | `getEClassifierConstraint()` Returns the meta object for class '`EClassifier Constraint`'.
    `EMFPatternLanguageFactory` | `getEMFPatternLanguageFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Enumeration()` Returns the meta object for the reference '`Enumeration`'.
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Literal()` Returns the meta object for the reference '`Literal`'.
    `org.eclipse.emf.ecore.EClass` | `getEnumValue()` Returns the meta object for class '`Enum Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPackageImport_Alias()` Returns the meta object for the attribute '`Alias`'.
    `org.eclipse.emf.ecore.EReference` | `getPackageImport_EPackage()` Returns the meta object for the reference '`EPackage`'.
    `org.eclipse.emf.ecore.EClass` | `getPackageImport()` Returns the meta object for class '`Package Import`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternImport_Pattern()` Returns the meta object for the reference '`Pattern`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternImport()` Returns the meta object for class '`Pattern Import`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_ImportPackages()` Returns the meta object for the containment reference '`Import Packages`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternModel()` Returns the meta object for class '`Pattern Model`'.
    `org.eclipse.emf.ecore.EReference` | `getReferenceType_Refname()` Returns the meta object for the reference '`Refname`'.
    `org.eclipse.emf.ecore.EClass` | `getReferenceType()` Returns the meta object for class '`Reference Type`'.
    `org.eclipse.emf.ecore.EReference` | `getXImportSection_PackageImport()` Returns the meta object for the containment reference list '`Package Import`'.
    `org.eclipse.emf.ecore.EReference` | `getXImportSection_PatternImport()` Returns the meta object for the containment reference list '`Pattern Import`'.
    `org.eclipse.emf.ecore.EClass` | `getXImportSection()` Returns the meta object for class '`XImport Section`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final EMFPatternLanguagePackage eINSTANCE

      The singleton instance of the package.

    - #### XIMPORT_SECTION

          static final int XIMPORT_SECTION

      The meta object id for the '`XImport Section`' class.
      See Also:
        `XImportSectionImpl`, `EMFPatternLanguagePackageImpl.getXImportSection()`, Constant Field Values

    - #### XIMPORT_SECTION__IMPORT_DECLARATIONS

          static final int XIMPORT_SECTION__IMPORT_DECLARATIONS

      The feature id for the 'Import Declarations' containment reference list.
      See Also:
        Constant Field Values

    - #### XIMPORT_SECTION__PACKAGE_IMPORT

          static final int XIMPORT_SECTION__PACKAGE_IMPORT

      The feature id for the 'Package Import' containment reference list.
      See Also:
        Constant Field Values

    - #### XIMPORT_SECTION__PATTERN_IMPORT

          static final int XIMPORT_SECTION__PATTERN_IMPORT

      The feature id for the 'Pattern Import' containment reference list.
      See Also:
        Constant Field Values

    - #### XIMPORT_SECTION_FEATURE_COUNT

          static final int XIMPORT_SECTION_FEATURE_COUNT

      The number of structural features of the 'XImport Section' class.
      See Also:
        Constant Field Values

    - #### PACKAGE_IMPORT

          static final int PACKAGE_IMPORT

      The meta object id for the '`Package Import`' class.
      See Also:
        `PackageImportImpl`, `EMFPatternLanguagePackageImpl.getPackageImport()`, Constant Field Values

    - #### PACKAGE_IMPORT__EPACKAGE

          static final int PACKAGE_IMPORT__EPACKAGE

      The feature id for the 'EPackage' reference.
      See Also:
        Constant Field Values

    - #### PACKAGE_IMPORT__ALIAS

          static final int PACKAGE_IMPORT__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values

    - #### PACKAGE_IMPORT_FEATURE_COUNT

          static final int PACKAGE_IMPORT_FEATURE_COUNT

      The number of structural features of the 'Package Import' class.
      See Also:
        Constant Field Values

    - #### PATTERN_IMPORT

          static final int PATTERN_IMPORT

      The meta object id for the '`Pattern Import`' class.
      See Also:
        `PatternImportImpl`, `EMFPatternLanguagePackageImpl.getPatternImport()`, Constant Field Values

    - #### PATTERN_IMPORT__PATTERN

          static final int PATTERN_IMPORT__PATTERN

      The feature id for the 'Pattern' reference.
      See Also:
        Constant Field Values

    - #### PATTERN_IMPORT_FEATURE_COUNT

          static final int PATTERN_IMPORT_FEATURE_COUNT

      The number of structural features of the 'Pattern Import' class.
      See Also:
        Constant Field Values

    - #### ECLASSIFIER_CONSTRAINT

          static final int ECLASSIFIER_CONSTRAINT

      The meta object id for the '`EClassifier Constraint`' class.
      See Also:
        `EClassifierConstraintImpl`, `EMFPatternLanguagePackageImpl.getEClassifierConstraint()`, Constant Field Values

    - #### ECLASSIFIER_CONSTRAINT__TYPE

          static final int ECLASSIFIER_CONSTRAINT__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### ECLASSIFIER_CONSTRAINT__VAR

          static final int ECLASSIFIER_CONSTRAINT__VAR

      The feature id for the 'Var' containment reference.
      See Also:
        Constant Field Values

    - #### ECLASSIFIER_CONSTRAINT_FEATURE_COUNT

          static final int ECLASSIFIER_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'EClassifier Constraint' class.
      See Also:
        Constant Field Values

    - #### ENUM_VALUE

          static final int ENUM_VALUE

      The meta object id for the '`Enum Value`' class.
      See Also:
        `EnumValueImpl`, `EMFPatternLanguagePackageImpl.getEnumValue()`, Constant Field Values

    - #### ENUM_VALUE__ENUMERATION

          static final int ENUM_VALUE__ENUMERATION

      The feature id for the 'Enumeration' reference.
      See Also:
        Constant Field Values

    - #### ENUM_VALUE__LITERAL

          static final int ENUM_VALUE__LITERAL

      The feature id for the 'Literal' reference.
      See Also:
        Constant Field Values

    - #### ENUM_VALUE_FEATURE_COUNT

          static final int ENUM_VALUE_FEATURE_COUNT

      The number of structural features of the 'Enum Value' class.
      See Also:
        Constant Field Values

    - #### PATTERN_MODEL

          static final int PATTERN_MODEL

      The meta object id for the '`Pattern Model`' class.
      See Also:
        `PatternModelImpl`, `EMFPatternLanguagePackageImpl.getPatternModel()`, Constant Field Values

    - #### PATTERN_MODEL__PACKAGE_NAME

          static final int PATTERN_MODEL__PACKAGE_NAME

      The feature id for the 'Package Name' attribute.
      See Also:
        Constant Field Values

    - #### PATTERN_MODEL__PATTERNS

          static final int PATTERN_MODEL__PATTERNS

      The feature id for the 'Patterns' containment reference list.
      See Also:
        Constant Field Values

    - #### PATTERN_MODEL__IMPORT_PACKAGES

          static final int PATTERN_MODEL__IMPORT_PACKAGES

      The feature id for the 'Import Packages' containment reference.
      See Also:
        Constant Field Values

    - #### PATTERN_MODEL_FEATURE_COUNT

          static final int PATTERN_MODEL_FEATURE_COUNT

      The number of structural features of the 'Pattern Model' class.
      See Also:
        Constant Field Values

    - #### CLASS_TYPE

          static final int CLASS_TYPE

      The meta object id for the '`Class Type`' class.
      See Also:
        `ClassTypeImpl`, `EMFPatternLanguagePackageImpl.getClassType()`, Constant Field Values

    - #### CLASS_TYPE__TYPENAME

          static final int CLASS_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values

    - #### CLASS_TYPE__METAMODEL

          static final int CLASS_TYPE__METAMODEL

      The feature id for the 'Metamodel' reference.
      See Also:
        Constant Field Values

    - #### CLASS_TYPE__CLASSNAME

          static final int CLASS_TYPE__CLASSNAME

      The feature id for the 'Classname' reference.
      See Also:
        Constant Field Values

    - #### CLASS_TYPE_FEATURE_COUNT

          static final int CLASS_TYPE_FEATURE_COUNT

      The number of structural features of the 'Class Type' class.
      See Also:
        Constant Field Values

    - #### REFERENCE_TYPE

          static final int REFERENCE_TYPE

      The meta object id for the '`Reference Type`' class.
      See Also:
        `ReferenceTypeImpl`, `EMFPatternLanguagePackageImpl.getReferenceType()`, Constant Field Values

    - #### REFERENCE_TYPE__TYPENAME

          static final int REFERENCE_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values

    - #### REFERENCE_TYPE__REFNAME

          static final int REFERENCE_TYPE__REFNAME

      The feature id for the 'Refname' reference.
      See Also:
        Constant Field Values

    - #### REFERENCE_TYPE_FEATURE_COUNT

          static final int REFERENCE_TYPE_FEATURE_COUNT

      The number of structural features of the 'Reference Type' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getXImportSection

          org.eclipse.emf.ecore.EClass getXImportSection()

      Returns the meta object for class '`XImport Section`'.
      Returns:
        the meta object for class 'XImport Section'.
      See Also:
        `XImportSection`

    - #### getXImportSection_PackageImport

          org.eclipse.emf.ecore.EReference getXImportSection_PackageImport()

      Returns the meta object for the containment reference list '`Package Import`'.
      Returns:
        the meta object for the containment reference list 'Package Import'.
      See Also:
        `XImportSection.getPackageImport()`, `getXImportSection()`

    - #### getXImportSection_PatternImport

          org.eclipse.emf.ecore.EReference getXImportSection_PatternImport()

      Returns the meta object for the containment reference list '`Pattern Import`'.
      Returns:
        the meta object for the containment reference list 'Pattern Import'.
      See Also:
        `XImportSection.getPatternImport()`, `getXImportSection()`

    - #### getPackageImport

          org.eclipse.emf.ecore.EClass getPackageImport()

      Returns the meta object for class '`Package Import`'.
      Returns:
        the meta object for class 'Package Import'.
      See Also:
        `PackageImport`

    - #### getPackageImport_EPackage

          org.eclipse.emf.ecore.EReference getPackageImport_EPackage()

      Returns the meta object for the reference '`EPackage`'.
      Returns:
        the meta object for the reference 'EPackage'.
      See Also:
        `PackageImport.getEPackage()`, `getPackageImport()`

    - #### getPackageImport_Alias

          org.eclipse.emf.ecore.EAttribute getPackageImport_Alias()

      Returns the meta object for the attribute '`Alias`'.
      Returns:
        the meta object for the attribute 'Alias'.
      See Also:
        `PackageImport.getAlias()`, `getPackageImport()`

    - #### getPatternImport

          org.eclipse.emf.ecore.EClass getPatternImport()

      Returns the meta object for class '`Pattern Import`'.
      Returns:
        the meta object for class 'Pattern Import'.
      See Also:
        `PatternImport`

    - #### getPatternImport_Pattern

          org.eclipse.emf.ecore.EReference getPatternImport_Pattern()

      Returns the meta object for the reference '`Pattern`'.
      Returns:
        the meta object for the reference 'Pattern'.
      See Also:
        `PatternImport.getPattern()`, `getPatternImport()`

    - #### getEClassifierConstraint

          org.eclipse.emf.ecore.EClass getEClassifierConstraint()

      Returns the meta object for class '`EClassifier Constraint`'.
      Returns:
        the meta object for class 'EClassifier Constraint'.
      See Also:
        `EClassifierConstraint`

    - #### getEClassifierConstraint_Type

          org.eclipse.emf.ecore.EReference getEClassifierConstraint_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `EClassifierConstraint.getType()`, `getEClassifierConstraint()`

    - #### getEClassifierConstraint_Var

          org.eclipse.emf.ecore.EReference getEClassifierConstraint_Var()

      Returns the meta object for the containment reference '`Var`'.
      Returns:
        the meta object for the containment reference 'Var'.
      See Also:
        `EClassifierConstraint.getVar()`, `getEClassifierConstraint()`

    - #### getEnumValue

          org.eclipse.emf.ecore.EClass getEnumValue()

      Returns the meta object for class '`Enum Value`'.
      Returns:
        the meta object for class 'Enum Value'.
      See Also:
        `EnumValue`

    - #### getEnumValue_Enumeration

          org.eclipse.emf.ecore.EReference getEnumValue_Enumeration()

      Returns the meta object for the reference '`Enumeration`'.
      Returns:
        the meta object for the reference 'Enumeration'.
      See Also:
        `EnumValue.getEnumeration()`, `getEnumValue()`

    - #### getEnumValue_Literal

          org.eclipse.emf.ecore.EReference getEnumValue_Literal()

      Returns the meta object for the reference '`Literal`'.
      Returns:
        the meta object for the reference 'Literal'.
      See Also:
        `EnumValue.getLiteral()`, `getEnumValue()`

    - #### getPatternModel

          org.eclipse.emf.ecore.EClass getPatternModel()

      Returns the meta object for class '`Pattern Model`'.
      Returns:
        the meta object for class 'Pattern Model'.
      See Also:
        `PatternModel`

    - #### getPatternModel_ImportPackages

          org.eclipse.emf.ecore.EReference getPatternModel_ImportPackages()

      Returns the meta object for the containment reference '`Import Packages`'.
      Returns:
        the meta object for the containment reference 'Import Packages'.
      See Also:
        `PatternModel.getImportPackages()`, `getPatternModel()`

    - #### getClassType

          org.eclipse.emf.ecore.EClass getClassType()

      Returns the meta object for class '`Class Type`'.
      Returns:
        the meta object for class 'Class Type'.
      See Also:
        `ClassType`

    - #### getClassType_Metamodel

          org.eclipse.emf.ecore.EReference getClassType_Metamodel()

      Returns the meta object for the reference '`Metamodel`'.
      Returns:
        the meta object for the reference 'Metamodel'.
      See Also:
        `ClassType.getMetamodel()`, `getClassType()`

    - #### getClassType_Classname

          org.eclipse.emf.ecore.EReference getClassType_Classname()

      Returns the meta object for the reference '`Classname`'.
      Returns:
        the meta object for the reference 'Classname'.
      See Also:
        `ClassType.getClassname()`, `getClassType()`

    - #### getReferenceType

          org.eclipse.emf.ecore.EClass getReferenceType()

      Returns the meta object for class '`Reference Type`'.
      Returns:
        the meta object for class 'Reference Type'.
      See Also:
        `ReferenceType`

    - #### getReferenceType_Refname

          org.eclipse.emf.ecore.EReference getReferenceType_Refname()

      Returns the meta object for the reference '`Refname`'.
      Returns:
        the meta object for the reference 'Refname'.
      See Also:
        `ReferenceType.getRefname()`, `getReferenceType()`

    - #### getEMFPatternLanguageFactory

          EMFPatternLanguageFactory getEMFPatternLanguageFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.